Documentation Index Fetch the complete documentation index at: https://docs.zylon.ai/llms.txt
Use this file to discover all available pages before exploring further.
Claromentis integrations import knowledge base content. Enable Claromentis at the instance level first —see the operator guide: Claromentis integration setup .
Basic request and response
Create a Claromentis integration with POST /api/v1/app/integration/claromentis.
curl -X POST "https://{BASE_URL}/api/v1/app/integration/claromentis" \
-H "Authorization: Bearer {API_TOKEN}" \
-H "x-org: {org_slug}" \
-H "Content-Type: application/json" \
-d '{
"username": "{username}",
"password": "{password}"
}'
{
"id" : "clar_3c2d1b4a5f6e7d8c" ,
"user_id" : "user_4b7c2a1d9e5f3c8b" ,
"org_id" : "org_2f3a9d1c7b5e4a8f" ,
"type" : "Claromentis" ,
"created_at" : "2026-02-08T14:05:00Z" ,
"updated_at" : "2026-02-08T14:05:00Z"
}
Update integration credentials
curl -X POST "https://{BASE_URL}/api/v1/app/integration/claromentis/{integrationID}" \
-H "Authorization: Bearer {API_TOKEN}" \
-H "x-org: {org_slug}" \
-H "Content-Type: application/json" \
-d '{
"username": "{username}",
"password": "{password}"
}'
{
"id" : "clar_3c2d1b4a5f6e7d8c" ,
"user_id" : "user_4b7c2a1d9e5f3c8b" ,
"org_id" : "org_2f3a9d1c7b5e4a8f" ,
"type" : "Claromentis" ,
"created_at" : "2026-02-08T14:05:00Z" ,
"updated_at" : "2026-02-08T15:10:00Z"
}
Get integration config
curl "https://{BASE_URL}/api/v1/app/integration/claromentis/{integrationID}/config" \
-H "Authorization: Bearer {API_TOKEN}"
-H "x-org: {org_slug}"
{
"base_url" : "https://claromentis.auroralabs.com" ,
"site" : "Knowledge Base"
}
Start an ingest sync
curl -X POST "https://{BASE_URL}/api/v1/app/integration/claromentis/{integrationID}/ingest" \
-H "Authorization: Bearer {API_TOKEN}" \
-H "x-org: {org_slug}" \
-H "Content-Type: application/json"
{
"type" : "sync_started" ,
"current_artifact_count" : 6 ,
"integration_item_count" : 24
}
Errors and edge cases
403 : connector not enabled or missing permissions.
404 : integration ID not found.